PATCH
/v1/incidents/{id}

Update an existing incident.

Path Parameters

id*string

Query Parameters

title?string

Updated title @example "Main database IOPS exhaust incident"

state?string

Updated active severity state @example RUNTIME_STATE_OUTAGE

Default"RUNTIME_STATE_UNSPECIFIED"

Value in

  • "RUNTIME_STATE_UNSPECIFIED"
  • "RUNTIME_STATE_OPERATIONAL"
  • "RUNTIME_STATE_MAINTENANCE"
  • "RUNTIME_STATE_DEGRADED"
  • "RUNTIME_STATE_OUTAGE"
customerMessage?string

Updated customer banner copy @example "We are resolving a backend infrastructure issue."

internalDescription?string

Updated internal runbook notes @example "SRE team successfully scaled primary replica."

version?string

Concurrency control version @example 1

Formatint64

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/incidents/string"
{  "incident": {    "createdAt": "2019-08-24T14:15:22Z",    "customerMessage": "string",    "id": "string",    "impactedApplications": [      {        "applicationId": "string",        "applicationName": "string",        "capabilities": [          {            "id": "string",            "name": "string"          }        ]      }    ],    "internalDescription": "string",    "resolvedAt": "2019-08-24T14:15:22Z",    "startedAt": "2019-08-24T14:15:22Z",    "state": "RUNTIME_STATE_UNSPECIFIED",    "status": "INCIDENT_STATUS_UNSPECIFIED",    "title": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "version": "string"  }}